Skip to navigation

Get Theme Configuration

Returns a list of theme’s configurations.

Usage Notes:

  • At least one filter must be provided.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequired
The theme identifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

uuid:inlist of stringsOptional

Filter configurations by passing a comma-separated list of configuration UUIDs.

channel_id:inlist of integersOptional

Filter configurations by passing a comma-separated list of channel IDs.

pageintegerOptional

Specifies the page number in a limited (paginated) list.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

variation_uuidstringOptional

Filter configurations by a variation_uuid.

Response

A list of theme configurations.
datalist of objectsOptional
metaobjectOptional
Response metadata.